<div class="login-container">
    <div class="img">
      <div class="loginImg"></div>
      <form class="login-form" #loginForm="ngForm" (ngSubmit)="validateLogin(loginForm.value)" novalidate>
        <h2>Login</h2>
        <div class="form-group">
          <label for="username">Username </label>
          <input type="text" class="form-control" name="emailId"  #emailId="ngModel"  ngModel required minlength="2" maxlength="30" >
        </div>
        <div class="form-group">
          <label for="password">Password  </label>
          <input type="password" class="form-control"name="password" #password="ngModel" ngModel required minlength="2" maxlength="8">
        </div>
        <button type="submit" class="btn btn-primary" [disabled]="!loginForm.valid">Login</button>
      </form>
 </div>
 <div class="alert">
    <div *ngIf="emailId.errors?.['required'] && emailId.touched" class="danger" style="width: fit-content;">Please Enter Email </div>
     <br/>
        <div *ngIf="password.errors?.['required'] && password.touched" class="danger" style="width: fit-content;"> Please Enter Password </div> 
        <br/>
    
        <div *ngIf="emailId.errors?.['minlength'] && emailId.touched" class="danger" style="width: fit-content;"> Please Enter Atleast 2 Characters for EmailId</div> 
        <br/>
        <div *ngIf="password.errors?.['minlength'] && password.touched" class="danger" style="width: fit-content;"> Please Enter Atleast 2 Characters for Password</div> <br/>
 </div>
</div>
